      subroutine chedim(nbtots)
      IMPLICIT REAL*8 (A-H,O-x,z),LOGICAL*1(y)
      PARAMETER (ngru3=2048,maxda3=300)
      common /ijd/itab,jtab,dtab
      dimension ITAB(NGRU3),JTAB(NGRU3)
      common/opt/ihab,calcul
      character*3 calcul
      integer(8) ndet ; common/det/ndet,mdet(50),nbdet_cas
      real*4 DTAB(NGRU3)
      yw=.false.
      if(calcul.eq.'D') then
         ndim=0
         rewind 1
 100     read(1)itab,jtab
c         write(6,*)'itab',itab
c         write(6,*)'jtab',jtab
         ifin=ngru3
         if(itab(ngru3).lt.0) ifin=jtab(ngru3)
         do k=1,ifin
            ndim=max0(ndim,itab(k))
            ndim=max0(ndim,jtab(k))
         enddo
         if(itab(ngru3).gt.0) goto 100
         nbtots=ndim
         ndet=nbtots
         if(yw)write(6,*)'la matrice a ete trouvee de dimension',nbtots
         rewind 1
      else
         nbtots=ndet
         if(yw)write(6,*)'la dimension de la matrice est lue dans cdi'
      endif
      if(yw)write(6,*)'dimension de la matrice',nbtots
      return
      end
